"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertPublicToPrivateChatId = convertPublicToPrivateChatId;
exports.generateMessageLink = generateMessageLink;
exports.getPrivateLinkToMessage = getPrivateLinkToMessage;
exports["default"] = void 0;

function convertPublicToPrivateChatId(id) {
  // REVIEW: вообще супергруппы не меняют ID обратно на отрицательные ID, но не уверен.
  var unsignedChatId = Math.abs(id); // NOTE: Первые три символа (100xxx...) теперь означают публичность ¯\_(ツ)_/¯

  var privateChatId = String(unsignedChatId).substring(2);
  return privateChatId;
}

function generateMessageLink(chatId, messageId) {
  if (!messageId) return "https://t.me/c/".concat(chatId);
  return "https://t.me/c/".concat(chatId, "/").concat(messageId);
}
/**
 * TODO: Поменять any как будет написан тип для message.
 */


function getPrivateLinkToMessage(_ref) {
  var initChatId = _ref.chatId,
      messageId = _ref.messageId;
  var chatId = convertPublicToPrivateChatId(initChatId);
  return generateMessageLink(String(chatId), String(messageId));
}

var _default = {
  convertPublicToPrivateChatId: convertPublicToPrivateChatId,
  generateMessageLink: generateMessageLink,
  getPrivateLinkToMessage: getPrivateLinkToMessage
};
exports["default"] = _default;
//# sourceMappingURL=private-linker.js.map